[med-svn] [abyss] 04/20: Add docs from upstream website; reupload get-orig-source which needs to be executable to work properly with watch file, download manual from upstream
Andreas Tille
tille at debian.org
Thu Sep 21 20:46:14 UTC 2017
This is an automated email from the git hooks/post-receive script.
tille pushed a commit to annotated tag upstream/1.3.1
in repository abyss.
commit de33ab32b131b06aded134773738924843094eb4
Author: Andreas Tille <tille at debian.org>
Date: Mon Mar 21 08:52:22 2011 +0000
Add docs from upstream website; reupload get-orig-source which needs to be executable to work properly with watch file, download manual from upstream
---
debian/docs | 2 ++
debian/get-orig-source | 47 +++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/debian/docs b/debian/docs
new file mode 100644
index 0000000..bbc3411
--- /dev/null
+++ b/debian/docs
@@ -0,0 +1,2 @@
+*.html
+*.css
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..cf32e06
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,47 @@
+#!/bin/sh
+# creating source tarbal for abacas which comes as plain Perl file
+# and needs to be putin to a tarball
+
+PKG=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+set -x
+if ! echo $@ | grep -q upstream-version ; then
+ # if called manually run uscan to obtain file and version number
+ # VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+ VERSION=`uscan --verbose --force-download | \
+ grep "Newest version on remote site is .* local version is .*" | \
+ head -n 1 | \
+ sed "s/Newest version on remote site is \([-0-9.]\+\),.*/\1/"`
+else
+ # If called by uscan
+ VERSION=`echo $@ | sed 's?^.*--upstream-version \([0-9.]\+\) .*abacas.*?\1?'`
+ if echo "$VERSION" | grep -q "upstream-version" ; then
+ echo "Unable to parse version number"
+ exit
+ fi
+fi
+
+#if [ "$VERSION" = "" ] ; then
+# VERSION=`ls ../${PKG}.*.pl | sed "s/.*$PKG\.\(.*\)\.pl/\1/"`
+#fi
+
+mkdir -p ../tarballs/${PKG}-${VERSION}
+cd ../tarballs
+
+# Rename perl file (without .pl suffix) and fix perl path
+sed -e '1s?/usr/local/bin/perl?/usr/bin/perl?' \
+ -e "s/^${PKG}.pl/${PKG}/" \
+ ../${PKG}.${VERSION}.pl > ${PKG}-${VERSION}/${PKG}
+touch -r ../${PKG}.${VERSION}.pl ${PKG}-${VERSION}/${PKG}
+rm -f ../${PKG}.${VERSION}.pl
+
+cd ${PKG}-${VERSION}
+wget -N http://abacas.sourceforge.net/Manual.html
+sed -i -e 's?index.html">Home?http://abacas.sourceforge.net/&?' \
+ -e 's?documentation.html">Documentation?http://abacas.sourceforge.net/&?' \
+ Manual.html
+wget -N http://abacas.sourceforge.net/style.css
+cd ..
+
+GZIP="--best --no-name" tar -czf "$PKG"_"$VERSION".orig.tar.gz "$PKG"-"$VERSION"
+rm -rf "$PKG"-"$VERSION"
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/abyss.git
More information about the debian-med-commit
mailing list